package com.hh.hhomc.bean;

public class ServerActionAppUpdateRequestBean {


    private String msg;
    private String op;
    private String fileName;
    private int fileSize;
    private int upgradeType;
    private String upgradeTypeDesc;
    private String sn;
    private String source;
    private String fileMd5;
    private int taskId;
    private int fileId;
    String md5;
    String filePath;

    String sender;

    // 业务app
    String packageName= "";
    String versionName = "";
    int appOnline;

    // ota-omc
    String omcPackageName;
    String omcVersionName;
    int omcOnline;


    boolean isSilentInstall;

    public boolean isSilentInstall() {
        return isSilentInstall;
    }

    public void setSilentInstall(boolean silentInstall) {
        isSilentInstall = silentInstall;
    }

    public int getAppOnline() {
        return appOnline;
    }

    public void setAppOnline(int appOnline) {
        this.appOnline = appOnline;
    }

    public String getOmcPackageName() {
        return omcPackageName;
    }

    public void setOmcPackageName(String omcPackageName) {
        this.omcPackageName = omcPackageName;
    }

    public String getOmcVersionName() {
        return omcVersionName;
    }

    public void setOmcVersionName(String omcVersionName) {
        this.omcVersionName = omcVersionName;
    }

    public int getOmcOnline() {
        return omcOnline;
    }

    public void setOmcOnline(int omcOnline) {
        this.omcOnline = omcOnline;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public int getFileSize() {
        return fileSize;
    }

    public void setFileSize(int fileSize) {
        this.fileSize = fileSize;
    }

    public int getUpgradeType() {
        return upgradeType;
    }

    public void setUpgradeType(int upgradeType) {
        this.upgradeType = upgradeType;
    }

    public String getUpgradeTypeDesc() {
        return upgradeTypeDesc;
    }

    public void setUpgradeTypeDesc(String upgradeTypeDesc) {
        this.upgradeTypeDesc = upgradeTypeDesc;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getFileMd5() {
        return fileMd5;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public int getTaskId() {
        return taskId;
    }

    public void setTaskId(int taskId) {
        this.taskId = taskId;
    }

    public int getFileId() {
        return fileId;
    }

    public void setFileId(int fileId) {
        this.fileId = fileId;
    }


    @Override
    public String toString() {
        return "ServerActionAppUpdateRequestBean{" +
                "msg='" + msg + '\'' +
                ", op='" + op + '\'' +
                ", fileName='" + fileName + '\'' +
                ", fileSize=" + fileSize +
                ", upgradeType=" + upgradeType +
                ", upgradeTypeDesc='" + upgradeTypeDesc + '\'' +
                ", sn='" + sn + '\'' +
                ", source='" + source + '\'' +
                ", fileMd5='" + fileMd5 + '\'' +
                ", taskId=" + taskId +
                ", fileId=" + fileId +
                ", md5='" + md5 + '\'' +
                ", filePath='" + filePath + '\'' +
                ", sender='" + sender + '\'' +
                ", packageName='" + packageName + '\'' +
                ", versionName='" + versionName + '\'' +
                ", appOnline=" + appOnline +
                ", omcPackageName='" + omcPackageName + '\'' +
                ", omcVersionName='" + omcVersionName + '\'' +
                ", omcOnline=" + omcOnline +
                '}';
    }
}
